From e7ce486136475b99d445b712a236199122ae10b1 Mon Sep 17 00:00:00 2001
From: Sinji Prasetio <sinjiprasetio@outlook.com>
Date: Mon, 29 Dec 2025 20:46:53 +0700
Subject: [PATCH 6/9] update

---
 app/Livewire/Wheel.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app/Livewire/Wheel.php b/app/Livewire/Wheel.php
index bfb1dd7..e80fb06 100644
--- a/app/Livewire/Wheel.php
+++ b/app/Livewire/Wheel.php
@@ -103,7 +103,7 @@ public function redeem()
             }
         } while (!$final);
 
-        $ticket->prize_id = $this->prize->id;
+        $ticket->prize_name = $this->prize->prize;
         $ticket->status = $this->state == 'winable' ? 'win' : 'lose';
         $ticket->prize_status = $this->state == 'winable' ? 'pending' : 'unavailable';
         $ticket->spin_time = date('Y-m-d H:i:s');
-- 
2.50.0


